QGIS Application - Bug report #7007

canvas is ho more refreshed when exiting the editing mode

2013-01-17 09:49 AM - Giovanni Manghi

Status: Closed

Priority: Severe/Regression
Assignee:

Category: Map Canvas

Affected QGIS version:master
Operating System:

Pull Request or Patch supplied:
Crashes QGIS or corrupls data:

Regression?: No
Easy fix?: No
Resolution:

Copied to github as #: 16107

Description

lately in ggis master when you exit the editing mode the nodes symbols are not removed and it is needed to pan/zoom the map to have

them disappear.

This happens also to newly created features that are not saved when exiting the editing mode.

It is a regression.

Associated revisions

Revision 814d8e0e - 2013-01-18 02:14 AM - Larry Shaffer

Fix #7007, canvas is not refreshing when exiting editing mode

History

#1 - 2013-01-17 09:59 AM - Larry Shaffer
- Status changed from Open to Feedback

Hi Giovanni,

I think this may be related to some work I've done, where | tried to remove all possibly redundant canvas refreshes from the toggle/save/rollback/cancel

editing actions/methods.

However, | can not reproduce the issue here. Can you give a step-by-step process to repeat it? And, maybe some screen snaps?

Thanks

#2 - 2013-01-17 10:38 AM - Salvatore Larosa

Confirmed here.

Steps to reproduce:

1. Open a vector file (POLYGON or LINE);

2. Any editing;
3. Close without save.
#3 - 2013-01-17 11:16 AM - Larry Shaffer

- File rollback-edits_patch.diff added

Ok, | can't reproduce the issue here on Mac, but have an idea on the cause.

Try the attached patch and see if that fixes the issue. If so, it is indicative of a problem with the undo widget/canvas refresh changes | made and further

testing is needed for parity of cross-platform functionality, since the patch will cause double canvas refreshes in some instances and is not the 'right' fix.

#4 - 2013-01-17 11:40 AM - Giovanni Manghi

Larry Shaffer wrote:

Ok, | can't reproduce the issue here on Mac, but have an idea on the cause.

Try the attached patch and see if that fixes the issue. If so, it is indicative of a problem with the undo widget/canvas refresh changes | made and
further testing is needed for parity of cross-platform functionality, since the patch will cause double canvas refreshes in some instances and is not
the 'right’ fix.

by the way, did you noticed this list of useless canvas redraws? #2596 ;)

#5 - 2013-01-17 02:04 PM - Salvatore Larosa

Yes, the patch works for me (Linux)!

#6 - 2013-01-17 07:04 PM - Larry Shaffer
- Status changed from Feedback to Closed

Fixed in changeset commit:"814d8e0e1b884d0076ad5ceda8eef81f6a96c67b".

Files

rollback-edits_patch.diff 438 Bytes 2013-01-17 Larry Shaffer
